class StringUtil {
	final static int NCOL_DEF = 72;
	final static String DELIM_DEF = " \t\n\r\f-";

	public static void wrapln(String text, String delim, int ncol) {
		StringBuffer token = new StringBuffer();
		StringBuffer zeile = new StringBuffer();
		java.util.StringTokenizer stob = new java.util.StringTokenizer(text, delim, true);

		while (stob.hasMoreTokens()) {
			token.replace(0,token.length(), stob.nextToken());
			if (zeile.length() + token.length() <= ncol) {
				zeile.append(token);
			} else {
				write(zeile);
				zeile.replace(0,zeile.length(),token.substring(0,Math.min(token.length(), ncol)));
			}
		}
		write(zeile);
	}

	private static void write(StringBuffer zeile) {
		while (zeile.length() > 0 && zeile.charAt(0) == ' ')
			zeile.deleteCharAt(0);
		if (zeile.length() > 0)
			System.out.println(zeile);
	}

	public static void wrapln(String text, int ncol) {
		wrapln(text, DELIM_DEF, ncol);
	}

	public static void wrapln(String text) {
		wrapln(text, DELIM_DEF, NCOL_DEF);
	}	

	public static void countChars(String text) {
		int len = text.length();
		int noc = Math.max(len, 65536);
		int[] fre = new int[noc];

		for (int i = 0; i < len; i++)
			if (Character.isLetterOrDigit(text.charAt(i)))
				fre[(int)text.charAt(i)]++;

		for (int i = 0; i < noc; i++)
			if (fre[i] > 0)
				System.out.println((char)i + ": " + fre[i]);
	}
}
