import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class PaintPanelDemo extends JFrame implements ActionListener {
	PaintPanel tafel = new PaintPanel();
	JPanel schalterLeiste = new JPanel();
	JButton kreis = new JButton("Kreis");
	JButton quadrat = new JButton("Quadrat");
	JButton text = new JButton("Text");
	boolean kreisDa = false, quadratDa = false, textDa = false;

	PaintPanelDemo() {
		super("PaintPanelDemo");
		Container cont = getContentPane();
		cont.add(tafel, BorderLayout.CENTER);
		cont.add(schalterLeiste, BorderLayout.SOUTH);
		kreis.addActionListener(this);
		quadrat.addActionListener(this);
		text.addActionListener(this);
		schalterLeiste.add(kreis);
		schalterLeiste.add(quadrat);
		schalterLeiste.add(text);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(280,150);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == kreis) {
			tafel.wechsle(1);
		}
		else if (e.getSource() == quadrat) {
			tafel.wechsle(2);
		}
		else {
			tafel.wechsle(3);
		}
	}

	public static void main(String[] args) {
		new PaintPanelDemo();
	}
}