import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class DNS extends JFrame implements ActionListener {
	Container cont = getContentPane();
	JPanel btnleiste = new JPanel();
	JPanel ipPanel = new JPanel();
	JButton ipBestimmen = new JButton("IP-Nummer bestimmen");
	JButton beenden = new JButton("Beenden");
	JTextField hostName = new JTextField(30);
	JLabel hostLabel = new JLabel(" Host-Name:");
	JTextField ip = new JTextField(15);	
	JLabel ipLabel = new JLabel(" IP-Nummer:");
	
	DNS() {
		super("Host-Namen zur IP-Adresse bestimmen");
		ipPanel.setLayout(null);
		hostLabel.setBounds(5,5,80,25);
		hostName.setBounds(100,5,200,25);
		ipPanel.add(hostLabel);
		ipPanel.add(hostName);

		ipLabel.setBounds(5,40,80,25);
		ip.setBounds(100,40,200,25);
		ip.setEditable(false);
		ipPanel.add(ipLabel);
		ipPanel.add(ip);
        ipBestimmen.addActionListener(this);
		btnleiste.add(ipBestimmen);
        beenden.addActionListener(this);
		btnleiste.add(beenden);

		cont.add(ipPanel, BorderLayout.CENTER);
		cont.add(btnleiste,BorderLayout.SOUTH);
		
   		getRootPane().setDefaultButton(ipBestimmen);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(350, 130);
		setResizable(false);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent ae) {
		if (ae.getSource() == ipBestimmen) {
			try {
				InetAddress ia = InetAddress.getByName(hostName.getText());
				ip.setText(ia.getHostAddress());
			} catch(UnknownHostException  uhe) {
				JOptionPane.showMessageDialog(null, "UnknownHostException: "+
					hostName.getText(), "Ungltiger Host-Name",
					JOptionPane.INFORMATION_MESSAGE);
			}		
		} else
			System.exit(0);
	}

	public static void main(String args[]) {
		new DNS();
	}
}