import java.io.*;
import java.net.*;

class EchoServerThread extends Thread {
	Socket client;
	
	EchoServerThread(Socket cl) {
		client = cl;
	}

	public void run() {
		String zeile;
		try {
			BufferedReader br =new BufferedReader(
				new InputStreamReader(client.getInputStream()));
			PrintWriter pw = new PrintWriter(client.getOutputStream(), true);
			pw.println("MultiThreadEchoServer - Beenden mit 'quit'");
			while ((zeile = br.readLine()) != null) {
				if (zeile.trim().equals("quit")) {
					pw.println("Gut, dass wir darueber geredet haben!");
					break;
				}
				pw.println(zeile);
			}
			client.close();
		} catch (Exception e) {
			System.out.println(e);
		}
	}
}