import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class JComboBoxDemo extends JFrame {
	JComboBox familienName;
	JLabel prompt;
	final String[] auswahl = {"Mller", "Meyer", "Schulze", "Schmitt"};
	final static String titel = "JComboBoxDemo";	
	
	JComboBoxDemo() {
		super(titel);
		Container cont = getContentPane();
		cont.setLayout(new GridLayout(0,1));

		prompt = new JLabel(" Wie lautet Ihr Familienname?");		
		familienName = new JComboBox(auswahl);
		familienName.setMaximumRowCount(3);
		familienName.setEditable(true);
		familienName.setSelectedItem("");
		
		familienName.addItemListener(
			new ItemListener() {
					public void itemStateChanged(ItemEvent e) {
						if(e.getStateChange() == ItemEvent.SELECTED) {
							JComboBox cb = (JComboBox) e.getSource();
							JOptionPane.showMessageDialog(cb.getParent(),
							  "Sie heien "+cb.getSelectedItem(), titel, JOptionPane.INFORMATION_MESSAGE);
						}
					}
				});
						
		cont.add(prompt);
		cont.add(familienName);

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setSize(300, 90);
		setVisible(true);
	}
	
	public static void main(String[] args) {
		new JComboBoxDemo();
	}
}