import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class FlowLayoutDemo extends JFrame {
	JButton left, center, right;
	FlowLayout layout = new FlowLayout();
	Container cont = getContentPane();
	
	FlowLayoutDemo() {
		super("FlowLayoutDemo");

		cont.setLayout(layout);
		
//		left = new JButton("Knopf 1");
		left = new JButton("linksbndig");
		left.addActionListener(new
			ActionListener() {
				public void actionPerformed(ActionEvent e) {
					layout.setAlignment(FlowLayout.LEFT);
					layout.layoutContainer(cont);
				}
			});
		cont.add(left);

//		center = new JButton("Knopf 2");
		center = new JButton("zentriert");
		center.addActionListener(new
			ActionListener() {
				public void actionPerformed(ActionEvent e) {
					layout.setAlignment(FlowLayout.CENTER);
					layout.layoutContainer(cont);
				}
			});
		cont.add(center);		

//		right = new JButton("Knopf 3");
		right = new JButton("rechtsbndig");
		right.addActionListener(new
			ActionListener() {
				public void actionPerformed(ActionEvent e) {
					layout.setAlignment(FlowLayout.RIGHT);
					layout.layoutContainer(cont);
				}
			});
		cont.add(right);

		addWindowListener(new
			WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});

		setSize(300, 100);
		setVisible(true);
	}

	public static void main(String[] arg) {
		new FlowLayoutDemo();
	}
}