class DeadLock1 {
	synchronized static void m() {
		System.out.println(Thread.currentThread().getName()+" in DeadLock1.m");
		try {
			Thread.sleep(100);
		} catch (InterruptedException e) {}
		System.out.println(Thread.currentThread().getName()+" wartet darauf, dass DeadLock2.m frei wird ...");
		DeadLock2.m();
	}

	public static void main(String[] args) {
		Thread1 t1 = new Thread1();
		Thread2 t2 = new Thread2();
		t1.start(); 
		t2.start();
	}
}

class DeadLock2 {
	synchronized static void m() {
		System.out.println(Thread.currentThread().getName()+" in DeadLock2.m");
		try {
			Thread.sleep(100);
		} catch (InterruptedException e) {}
		System.out.println(Thread.currentThread().getName()+" wartet darauf, dass DeadLock1.m frei wird ...");
		DeadLock1.m();
	}
}	

class Thread1 extends Thread {
	Thread1() {super("Thread1");}
	public void run() {
		DeadLock1.m();
	}
}

class Thread2 extends Thread {
	Thread2() {super("Thread2");}
	public void run() {
		DeadLock2.m();
	}
}
