import java.io.*;

class BufferedWriterDemo {
	public static void main(String[] args) throws IOException	{
		PrintWriter pw = new PrintWriter(new FileWriter("test.txt"));
		long time1 = System.currentTimeMillis();
		for (int i = 1; i <= 10000; i++)
			pw.println("Zeile " + i);
		System.out.println("Benoetigte Zeit ohne BufferedWriter: "+(System.currentTimeMillis()-time1));		
		pw.close();
		
		pw =  new PrintWriter(
			  new BufferedWriter(
			  new FileWriter("test.txt"), 16384));
		time1 = System.currentTimeMillis();
		for (int i = 1; i <= 10000; i++)
			pw.println("Zeile " + i);
		System.out.println("Benoetigte Zeit mit BufferedWriter: "+(System.currentTimeMillis()-time1));	
		pw.close();	
	}
}