import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.GridLayout;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JButton;
import javax.swing.JOptionPane;

public class BruchAdditionGui extends JFrame {
	/**
	 * 
	 */
	private static final long serialVersionUID = 943874055670805579L;
	Bruch b1 = new Bruch();
	Bruch b2 = new Bruch();
	Bruch res = new Bruch();
	
	private JPanel jContentPane = null;  //  @jve:decl-index=0:visual-constraint="123,157"
	private JPanel bruchPanel = null;
	private JPanel b1Panel = null;
	private JPanel plusPanel = null;
	private JPanel b2Panel = null;
	private JPanel equalsPanel = null;
	private JPanel resultPanel = null;
	private JPanel buttonsPanel = null;
	private JTextField b1Z = null;
	private JTextField b1N = null;
	private JLabel b1Strich = null;
	private JLabel plusLabel = null;
	private JLabel equalsLabel = null;
	private JTextField b2Z = null;
	private JLabel b2Strich = null;
	private JTextField b2N = null;
	private JTextField resZ = null;
	private JLabel resStrich = null;
	private JTextField resN = null;
	private JButton addButton = null;
	private JButton endButton = null;
	/**
	 * This method initializes tafel	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getBruchPanel() {
		if (bruchPanel == null) {
			GridLayout gridLayout = new GridLayout();
			gridLayout.setRows(1);
			gridLayout.setColumns(5);
			bruchPanel = new JPanel();
			bruchPanel.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
			bruchPanel.setLayout(gridLayout);
			bruchPanel.add(getB1Panel(), null);
			bruchPanel.add(getPlusPanel(), null);
			bruchPanel.add(getB2Panel(), null);
			bruchPanel.add(getEqualsPanel(), null);
			bruchPanel.add(getResultPanel(), null);
		}
		return bruchPanel;
	}

	/**
	 * This method initializes b1	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getB1Panel() {
		if (b1Panel == null) {
			b1Strich = new JLabel();
			b1Strich.setText("------");
			b1Strich.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			b1Strich.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 36));
			b1Strich.setHorizontalTextPosition(javax.swing.SwingConstants.LEADING);
			GridLayout gridLayout1 = new GridLayout();
			gridLayout1.setRows(3);
			gridLayout1.setColumns(1);
			b1Panel = new JPanel();
			b1Panel.setBorder(javax.swing.BorderFactory.createEmptyBorder(5,5,5,5));
			b1Panel.setLayout(gridLayout1);
			b1Panel.add(getB1Z(), null);
			b1Panel.add(b1Strich, null);
			b1Panel.add(getB1N(), null);
		}
		return b1Panel;
	}

	/**
	 * This method initializes plus	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getPlusPanel() {
		if (plusPanel == null) {
			plusLabel = new JLabel();
			plusLabel.setText("+");
			plusLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 36));
			plusLabel.setComponentOrientation(java.awt.ComponentOrientation.RIGHT_TO_LEFT);
			plusLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			plusPanel = new JPanel();
			plusPanel.setLayout(new BorderLayout());
			plusPanel.add(plusLabel, java.awt.BorderLayout.CENTER);
		}
		return plusPanel;
	}

	/**
	 * This method initializes b2	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getB2Panel() {
		if (b2Panel == null) {
			b2Strich = new JLabel();
			b2Strich.setText("------");
			b2Strich.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			b2Strich.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 36));
			GridLayout gridLayout2 = new GridLayout();
			gridLayout2.setRows(3);
			gridLayout2.setColumns(1);
			b2Panel = new JPanel();
			b2Panel.setBorder(javax.swing.BorderFactory.createEmptyBorder(5,5,5,5));
			b2Panel.setLayout(gridLayout2);
			b2Panel.add(getB2Z(), null);
			b2Panel.add(b2Strich, null);
			b2Panel.add(getB2N(), null);
		}
		return b2Panel;
	}

	/**
	 * This method initializes b3	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getEqualsPanel() {
		if (equalsPanel == null) {
			equalsLabel = new JLabel();
			equalsLabel.setText("=");
			equalsLabel.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
			equalsLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			equalsLabel.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 36));
			equalsPanel = new JPanel();
			equalsPanel.setLayout(new BorderLayout());
			equalsPanel.add(equalsLabel, java.awt.BorderLayout.CENTER);
		}
		return equalsPanel;
	}

	/**
	 * This method initializes result	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getResultPanel() {
		if (resultPanel == null) {
			resStrich = new JLabel();
			resStrich.setText("------");
			resStrich.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
			resStrich.setVerticalAlignment(javax.swing.SwingConstants.CENTER);
			resStrich.setVerticalTextPosition(javax.swing.SwingConstants.CENTER);
			resStrich.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 36));
			GridLayout gridLayout3 = new GridLayout();
			gridLayout3.setRows(3);
			gridLayout3.setColumns(1);
			resultPanel = new JPanel();
			resultPanel.setBorder(javax.swing.BorderFactory.createEmptyBorder(5,5,5,5));
			resultPanel.setLayout(gridLayout3);
			resultPanel.add(getResZ(), null);
			resultPanel.add(resStrich, null);
			resultPanel.add(getResN(), null);
		}
		return resultPanel;
	}

	/**
	 * This method initializes buttons	
	 * 	
	 * @return javax.swing.JPanel	
	 */
	private JPanel getButtonsPanel() {
		if (buttonsPanel == null) {
			buttonsPanel = new JPanel();
			buttonsPanel.add(getAddButton(), null);
			buttonsPanel.add(getEndButton(), null);
		}
		return buttonsPanel;
	}

	/**
	 * This method initializes b1z	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getB1Z() {
		if (b1Z == null) {
			b1Z = new JTextField();
			b1Z.setHorizontalAlignment(javax.swing.JTextField.CENTER);
			b1Z.setToolTipText("Zhler des ersten Bruchs eingeben");
			b1Z.addFocusListener(new java.awt.event.FocusAdapter() {
				public void focusGained(java.awt.event.FocusEvent e) {
					b1Z.selectAll();
				}
			});
		}
		return b1Z;
	}

	/**
	 * This method initializes b1n	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getB1N() {
		if (b1N == null) {
			b1N = new JTextField();
			b1N.setHorizontalAlignment(javax.swing.JTextField.CENTER);
			b1N.setToolTipText("Nenner  des ersten Bruchs eingeben");
			b1N.addFocusListener(new java.awt.event.FocusAdapter() {
				public void focusGained(java.awt.event.FocusEvent e) {
					b1N.selectAll();
				}
			});
		}
		return b1N;
	}

	/**
	 * This method initializes b2z	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getB2Z() {
		if (b2Z == null) {
			b2Z = new JTextField();
			b2Z.setHorizontalAlignment(javax.swing.JTextField.CENTER);
			b2Z.setToolTipText("Zhler des zweiten Bruchs eingeben");
			b2Z.addFocusListener(new java.awt.event.FocusAdapter() {
				public void focusGained(java.awt.event.FocusEvent e) {
					b2Z.selectAll();
				}
			});
		}
		return b2Z;
	}

	/**
	 * This method initializes b2N	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getB2N() {
		if (b2N == null) {
			b2N = new JTextField();
			b2N.setHorizontalAlignment(javax.swing.JTextField.CENTER);
			b2N.setToolTipText("Nenner des zweiten Bruchs eingeben");
			b2N.addFocusListener(new java.awt.event.FocusAdapter() {
				public void focusGained(java.awt.event.FocusEvent e) {
					b2N.selectAll();
				}
			});
		}
		return b2N;
	}

	/**
	 * This method initializes resZ	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getResZ() {
		if (resZ == null) {
			resZ = new JTextField();
			resZ.setHorizontalAlignment(javax.swing.JTextField.CENTER);
			resZ.setEnabled(true);
			resZ.setFocusable(false);
			resZ.setEditable(false);
		}
		return resZ;
	}

	/**
	 * This method initializes resN	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getResN() {
		if (resN == null) {
			resN = new JTextField();
			resN.setHorizontalAlignment(javax.swing.JTextField.CENTER);
			resN.setEnabled(true);
			resN.setFocusable(false);
			resN.setEditable(false);
		}
		return resN;
	}

	/**
	 * This method initializes addButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getAddButton() {
		if (addButton == null) {
			addButton = new JButton();
			addButton.setText("Addieren");
			addButton.setMnemonic(java.awt.event.KeyEvent.VK_ENTER);
			addButton.setToolTipText("Tatsenbefehl:");
			addButton.setSelected(false);
			addButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent ae) {
					try {
						b1.setzeZaehler(Integer.parseInt(b1Z.getText()));
						if (!b1.setzeNenner(Integer.parseInt(b1N.getText())))
							throw new Exception("Der Nenner darf nicht Null werden!");
						b2.setzeZaehler(Integer.parseInt(b2Z.getText()));
						if (!b2.setzeNenner(Integer.parseInt(b2N.getText())))
							throw new Exception("Der Nenner darf nicht Null werden!");
						b1.addiere(b2);
						resZ.setText(Integer.toString(b1.gibZaehler()));
						resN.setText(Integer.toString(b1.gibNenner()));
						transferFocus();
		           	}
					catch(Exception e) {
							JOptionPane.showMessageDialog(null, e, "Eingabefehler",
								JOptionPane.INFORMATION_MESSAGE);
					}           			
				}
			});
			addButton.addKeyListener(new java.awt.event.KeyListener() {
				public void keyPressed(java.awt.event.KeyEvent e) {
					if (e.getKeyCode() == java.awt.event.KeyEvent.VK_ENTER)
						addButton.doClick();
				}
				public void keyTyped(java.awt.event.KeyEvent e) {
				}
				public void keyReleased(java.awt.event.KeyEvent e) {
				}
			});
		}
		return addButton;
	}

	/**
	 * This method initializes endButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getEndButton() {
		if (endButton == null) {
			endButton = new JButton();
			endButton.setText("Beenden");
			endButton.setToolTipText("Tatsenbefehl:");
			endButton.setMnemonic(java.awt.event.KeyEvent.VK_F4);
			endButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					System.exit(0);
				}
			});
			endButton.addKeyListener(new java.awt.event.KeyListener() {
				public void keyPressed(java.awt.event.KeyEvent e) {
					if (e.getKeyCode() == java.awt.event.KeyEvent.VK_ENTER)
						endButton.doClick();
				}
				public void keyTyped(java.awt.event.KeyEvent e) {
				}
				public void keyReleased(java.awt.event.KeyEvent e) {
				}
			});
		}
		return endButton;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		new BruchAdditionGui();

	}

	/**
	 * This is the default constructor
	 */
	public BruchAdditionGui() {
		super();
		initialize();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);		
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(552, 163);
		this.setResizable(false);
		this.setContentPane(getJContentPane());
		this.setTitle("Addition von Brchen");
		this.setVisible(true);
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new BorderLayout());
			jContentPane.setSize(new java.awt.Dimension(565,167));
			jContentPane.add(getBruchPanel(), java.awt.BorderLayout.CENTER);
			jContentPane.add(getButtonsPanel(), java.awt.BorderLayout.SOUTH);
		}
		return jContentPane;
	}
	
}  //  @jve:decl-index=0:visual-constraint="44,25"
