import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class KeyModifiers extends JFrame {
	JLabel keyCode, uChar, modifiers, keyCodeVal, uCharVal, modifiersVal;

    KeyModifiers() {
        super("Modifikatoren-Demo");

        keyCode = new JLabel("  Key Code:");
        uChar = new JLabel("  Unicode-Zeichen:");
        modifiers = new JLabel("  Modifikatoren:");
        keyCodeVal = new JLabel();
        uCharVal = new JLabel();
        modifiersVal = new JLabel();
        Container cont = getContentPane();
        cont.setLayout(new GridLayout(3,2));
        cont.add(keyCode);cont.add(keyCodeVal);
        cont.add(uChar); cont.add(uCharVal);
        cont.add(modifiers); cont.add(modifiersVal);

        addKeyListener(new KeyAdapter() {
			public void keyPressed(KeyEvent e) {
				keyCodeVal.setText(String.valueOf(e.getKeyCode()));
				modifiersVal.setText(KeyEvent.getKeyModifiersText(e.getModifiers()));
            }
			public void keyTyped(KeyEvent e) {
				uCharVal.setText(String.valueOf(e.getKeyChar()));
            }
			public void keyReleased(KeyEvent e) {
				keyCodeVal.setText("");
				uCharVal.setText("");
				modifiersVal.setText("");
            }
        });

		setDefaultCloseOperation(EXIT_ON_CLOSE);
        setSize(250, 100);
        setVisible(true);
    }

    public static void main(String[] args) {
        new KeyModifiers();
    }
}
